#include "../Headers/io.h"

void IOInit()
{
    /* Enabling PORTA pull-up resistors on the inputs
     * PA0 output should have logic 1 level (5V), on this pin is the status LED
	 * The other pins should be configured as inputs */
    PORTA = 0xFF;
    DDRA = 0x01;

    /* Enabling PORTB pull-up resistors, and all pins should be configured as inputs */
    PORTB = 0x00;
    DDRB = 0xFF;

    /* Enabling PORTC pull-up resistors, and all pins should be configured as inputs */
    PORTC = 0xFF;
    DDRC = 0x00;

    /* Enabling PORTD pull-up resistors, and all pins should be configured as inputs */
    PORTD = 0xFF;
    DDRD = 0x00;
}
